package main

import (
	"fmt"
	"html"
	"log"
	"net/http"

	"git.vinchent.xyz/vinchent/go-web/framework"
)

type FooHandler struct{}

func (foo FooHandler) ServeHTTP(w http.ResponseWriter, r *http.Request) {
	fmt.Fprintf(w, "Hello, %q", html.EscapeString(r.URL.Path))
}

func main() {
	server := &http.Server{
		Addr:    ":8080",
		Handler: framework.NewCore(),
	}

	if err := server.ListenAndServe(); err != nil {
		log.Panic(err)
	}
}
